<?php
/* Copyright (C) 2016		 Oscss-Shop       <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * or see http://www.gnu.org/
 */

/**
 *	\file       htdocs/compta/lcr/index.php
 *  \ingroup    lcr
 *	\brief      Lcr index page
 */
 namespace CORE;


$res = 0;
if (!$res && file_exists("../main.inc.php"))
    $res = @include("../main.inc.php");
if (!$res && file_exists("../../main.inc.php"))
    $res = @include("../../main.inc.php");
if (!$res && file_exists("../../../main.inc.php"))
    $res = @include("../../../main.inc.php");
if (!$res && file_exists("../../../../main.inc.php"))
    $res = @include("../../../../main.inc.php");
if (!$res && file_exists("../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../dolibarr/htdocs/main.inc.php");     // Used on dev env only
if (!$res && file_exists("../../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (!$res && file_exists("../../../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (!$res)
    die("Include of main fails");
    
    
require_once DOL_DOCUMENT_ROOT.'/compta/bank/class/account.class.php';


/**
	@brief Call Specific Class provider for OScssShop Exts 
		This class garanted process for dolibarr evolution 
*/
dol_include_once('/framework/main.inc.php');
dol_include_once('/framework/core/lib/framework.lib.php');

namespace CORE\LCR;

dol_include_once('/lcr/core/lib/lcr.lib.php');




$langs->load("banks");
$langs->load("categories");
$langs->load("withdrawals");

// Security check
// $socid = GETPOST('socid','int');
// if ($user->societe_id) 
// 	$socid=$user->societe_id;
// $result = restrictedArea($user, 'lcr','','');



	// check config this module
if (lcr_check_config() < 0)
{
	$langs->load("errors");
	setEventMessage($langs->trans("ErrorModuleSetupNotComplete"),'warnings');
}


/*
 * Actions
 */




/*
 * View
 */


// $form = new Form($db);
// $formfile = new FormFile($db);

llxHeader('',$langs->trans("CustomersStandingOrdersArea")." LCR");



        $pattern = dol_buildpath('/lcr/core/boxes/').'*.php';
        $files   = glob($pattern);
        $i       = 0;
        foreach ($files as $k=>$file) {
			$i++;
			$r=include_once($file);
            $cl  = "CORE\\LCR\\".basename($file, '.php');

			$boxe = new $cl($db, $user); 
			$boxe->code = $cl; 
			$boxe->box_order=$cl.sprintf("%02d",rand(9,2));
			$boxe->loadBox(); 
			
			ob_start();
			$boxe->showBox(); 
			$output= ob_get_contents();
			ob_end_clean();
								
			if ($i%2)
				$a .= $output; 
			else 
				$b .= $output; 
			
        }

?>

<div class="twocolumns">
	<div id="boxhalfleft" class="firstcolumn fichehalfleft boxhalfleft ui-sortable" id="boxhalfleft">
		<div class="box">
			<?php echo $a; ?>
		</div>
	</div>
	<div id="boxhalfright"  class="secondcolumn fichehalfleft boxhalfleft ui-sortable" id="boxhalfleft">
		<div class="box">
			<?php echo $b; ?>
		</div>
	</div>
</div>
<?php

llxFooter();

$db->close();
